Bug 785016 - Review Request: python-quantumclient - API and CLI for Openstack Quantum
Review Request: python-quantumclient - API and CLI for Openstack Quantum
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bob Kukura
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-26 17:44 EST by Cole Robinson
Modified: 2014-02-27 18:17 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-06 10:23:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rkukura: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2012-01-26 17:44:16 EST
Spec URL: http://fedorapeople.org/~crobinso/reviews/python-quantumclient.spec
SRPM URL: http://fedorapeople.org/~crobinso/reviews/python-quantumclient-2012.1-0.1.e3.fc16.src.rpm

Description: A python library and command line utility for accessing Openstack Quantum's API

Quantum file arrangement changed a lot in the upcoming release, so the Conflicts is to help the incase of someone upgrading from f16 to f17 versions. Shouldn't be common in practice.
Comment 1 Bob Kukura 2012-01-27 17:08:18 EST
The only rpmlint output is:

python-quantumclient.noarch: W: no-manual-page-for-binary quantum

Please file a bug to track getting a man page and a license file from upstream.


Other than that, the package looks great!


Unfortunately, after building and installing the package, running /usr/bin/quantum results in:

[rkukura@rkukura rpmbuild]$ quantum --help
Traceback (most recent call last):
  File "/usr/bin/quantum", line 9, in <module>
    load_entry_point('python-quantumclient==2012.1', 'console_scripts', 'quantum')()
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 337, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2279, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 1989, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
ImportError: No module named quantum.client.cli
[rkukura@rkukura rpmbuild]$ 

This is because the file /usr/lib/python2.7/site-packages/quantum/__init__.py is missing. Touching it allows quantum to run. The file is not present in the upstream python-quantumclient tarball, but is present (non-empty) in the upstream quantum tarball. I believe the __init__.py file from quantum needs to be installed by the quantumclient package.
Comment 2 Cole Robinson 2012-01-30 08:27:31 EST
Okay, package updated:

Spec URL: http://fedorapeople.org/~crobinso/reviews/python-quantumclient.spec
SRPM URL:
http://fedorapeople.org/~crobinso/reviews/python-quantumclient-2012.1-0.1.e3.fc16.src.rpm

Changes:
- Add python2-devel to BuildRequires (required for python packages)
- Drop rm tests (wasn't necc, they aren't installed anyways)
- Add quantum/__init__.py from upstream quantum tar.gz to source list and install it, reference launchpad bug https://bugs.launchpad.net/quantum/+bug/922440
Comment 3 Bob Kukura 2012-01-30 09:50:18 EST
That fixed it! The package is ready.

-Bob
Comment 4 Cole Robinson 2012-01-30 13:52:31 EST
New Package SCM Request
=======================
Package Name: python-quantumclient
Short Description: Python API and CLI for OpenStack Quantum
Owners: crobinso rkukura
Branches:
InitialCC:
Comment 5 Jon Ciesla 2012-01-30 14:11:47 EST
Git done (by process-git-requests).
Comment 6 Cole Robinson 2012-02-06 10:23:28 EST
Built now
Comment 7 Pádraig Brady 2012-04-05 10:07:49 EDT
Package Change Request
======================
Package Name: python-quantumclient
New Branches: el6
Owners: rkukura pbrady

To support the OpenStack Essex upgrade in EPEL
Comment 8 Jon Ciesla 2012-04-05 10:12:30 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.